summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Matthew Budd <mjbudd77@yahoo.com>2016-08-20 00:31:27 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-20 00:46:04 +0100
commit7f63936bb180bf96360c50c9b6ea2b636162c2e9 (patch)
tree6603615295f17b24befd3dad3328e62570f09c5e /libraries
parent23ed62f1dab38178d4f80ecfb09181aa49d8350b (diff)
downloadslackbuilds-7f63936bb180bf96360c50c9b6ea2b636162c2e9.tar.gz
slackbuilds-7f63936bb180bf96360c50c9b6ea2b636162c2e9.tar.xz
libraries/libwebsockets: Added (C websocket library).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libwebsockets/README2
-rw-r--r--libraries/libwebsockets/libwebsockets.SlackBuild98
-rw-r--r--libraries/libwebsockets/libwebsockets.info10
-rw-r--r--libraries/libwebsockets/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/libraries/libwebsockets/README b/libraries/libwebsockets/README
new file mode 100644
index 0000000000..c6a09d422c
--- /dev/null
+++ b/libraries/libwebsockets/README
@@ -0,0 +1,2 @@
+This is the libwebsockets C library for lightweight websocket clients and
+servers.
diff --git a/libraries/libwebsockets/libwebsockets.SlackBuild b/libraries/libwebsockets/libwebsockets.SlackBuild
new file mode 100644
index 0000000000..597f9e9ecc
--- /dev/null
+++ b/libraries/libwebsockets/libwebsockets.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for libwebsockets
+
+# Copyright 2016 Matthew Budd Tampa, FL USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libwebsockets
+VERSION=${VERSION:-2.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md README.coding.md changelog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libwebsockets/libwebsockets.info b/libraries/libwebsockets/libwebsockets.info
new file mode 100644
index 0000000000..9f832a06a7
--- /dev/null
+++ b/libraries/libwebsockets/libwebsockets.info
@@ -0,0 +1,10 @@
+PRGNAM="libwebsockets"
+VERSION="2.0.2"
+HOMEPAGE="https://libwebsockets.org/"
+DOWNLOAD="https://github.com/warmcat/libwebsockets/archive/v2.0.2/libwebsockets-2.0.2.tar.gz"
+MD5SUM="778c920a580fba1f943c84e9702e7b26"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matthew Budd"
+EMAIL="mjbudd77@yahoo.com"
diff --git a/libraries/libwebsockets/slack-desc b/libraries/libwebsockets/slack-desc
new file mode 100644
index 0000000000..63d0ffdfa3
--- /dev/null
+++ b/libraries/libwebsockets/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libwebsockets: libwebsockets (C websocket library)
+libwebsockets:
+libwebsockets: This is the libwebsockets C library for lightweight websocket
+libwebsockets: clients and servers. For support, visit
+libwebsockets:
+libwebsockets: https://libwebsockets.org
+libwebsockets: https://github.com/warmcat/libwebsockets
+libwebsockets:
+libwebsockets:
+libwebsockets:
+libwebsockets: